Observability
All operations require authentication.
List log kindsProduction
Returns the names of the log kinds AI Deploy emits, which can be forwarded to a stream.
Path parameters
App ID
Service name
Response
Example uses appId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ app/ {appId}/ log/ kind \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List log kindsProduction
Returns the names of the log kinds AI Endpoints emits, which can be forwarded to a stream.
Path parameters
Model name
Service name
Response
Example uses modelName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ endpoint/ {modelName}/ log/ kind \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List log kindsProduction
Returns the names of the log kinds AI Training emits, which can be forwarded to a stream.
Path parameters
Job ID
Service name
Response
Example uses jobId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ job/ {jobId}/ log/ kind \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List log kindsProduction
Returns the names of the log kinds AI Notebooks emits, which can be forwarded to a stream.
Path parameters
Notebook ID
Service name
Response
Example uses notebookId = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ notebook/ {notebookId}/ log/ kind \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List log subscriptionsProduction
Returns the identifiers of the AI Deploy log subscriptions. Set kind to restrict the list to one log kind.
Path parameters
App ID
Service name
Query parameters
Filter on a specific kind (e.g., audit)
Response
Example uses appId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ app/ {appId}/ log/ subscription \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
List log subscriptionsProduction
Returns the identifiers of the AI Endpoints log subscriptions. Set kind to restrict the list to one log kind.
Path parameters
Model name
Service name
Query parameters
Filter on a specific kind (e.g., audit)
Response
Example uses modelName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ endpoint/ {modelName}/ log/ subscription \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
List log subscriptionsProduction
Returns the identifiers of the AI Training log subscriptions. Set kind to restrict the list to one log kind.
Path parameters
Job ID
Service name
Query parameters
Filter on a specific kind (e.g., audit)
Response
Example uses jobId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ job/ {jobId}/ log/ subscription \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
List log subscriptionsProduction
Returns the identifiers of the AI Notebooks log subscriptions. Set kind to restrict the list to one log kind.
Path parameters
Notebook ID
Service name
Query parameters
Filter on a specific kind (e.g., audit)
Response
Example uses notebookId = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ notebook/ {notebookId}/ log/ subscription \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
Get a log kindProduction
Returns a log kind and the additional fields its logs carry.
Path parameters
App ID
Name
Service name
Response
List of additional log fields managed in this log kind
Creation date of the log kind
Log kind display name
Log kind ID
Log kind name
Last update date of the log kind
Example uses appId = 00000000-0000-0000-0000-000000000000, name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ app/ {appId}/ log/ kind/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "additionalReturnedFields": [ "string" ], "createdAt": "2024-01-01T12:00:00Z", "displayName": "string", "kindId": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z"}
Get a log kindProduction
Returns a log kind and the additional fields its logs carry.
Path parameters
Model name
Name
Service name
Response
List of additional log fields managed in this log kind
Creation date of the log kind
Log kind display name
Log kind ID
Log kind name
Last update date of the log kind
Example uses modelName = string, name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ endpoint/ {modelName}/ log/ kind/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "additionalReturnedFields": [ "string" ], "createdAt": "2024-01-01T12:00:00Z", "displayName": "string", "kindId": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z"}
Get a log kindProduction
Returns a log kind and the additional fields its logs carry.
Path parameters
Job ID
Name
Service name
Response
List of additional log fields managed in this log kind
Creation date of the log kind
Log kind display name
Log kind ID
Log kind name
Last update date of the log kind
Example uses jobId = 00000000-0000-0000-0000-000000000000, name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ job/ {jobId}/ log/ kind/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "additionalReturnedFields": [ "string" ], "createdAt": "2024-01-01T12:00:00Z", "displayName": "string", "kindId": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z"}
Get a log kindProduction
Returns a log kind and the additional fields its logs carry.
Path parameters
Name
Notebook ID
Service name
Response
List of additional log fields managed in this log kind
Creation date of the log kind
Log kind display name
Log kind ID
Log kind name
Last update date of the log kind
Example uses name = string, notebookId = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ notebook/ {notebookId}/ log/ kind/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "additionalReturnedFields": [ "string" ], "createdAt": "2024-01-01T12:00:00Z", "displayName": "string", "kindId": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z"}
Get a log subscriptionProduction
Returns the log kind and the destination stream of a subscription.
Path parameters
App ID
Service name
Subscription ID
Response
Creation date of the subscription
Log kind name of this subscription
Subscribed resource, where the logs come from
Name of the destination log service
Id of the destination log stream
Subscription ID
Last update date of the subscription
Example uses appId = 00000000-0000-0000-0000-000000000000, serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ app/ {appId}/ log/ subscription/ {subscriptionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "resource": { "name": "string", "type": "string" }, "serviceName": "string", "streamId": "string", "subscriptionId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}
Get a log subscriptionProduction
Returns the log kind and the destination stream of a subscription.
Path parameters
Model name
Service name
Subscription ID
Response
Creation date of the subscription
Log kind name of this subscription
Subscribed resource, where the logs come from
Name of the destination log service
Id of the destination log stream
Subscription ID
Last update date of the subscription
Example uses modelName = string, serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ endpoint/ {modelName}/ log/ subscription/ {subscriptionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "resource": { "name": "string", "type": "string" }, "serviceName": "string", "streamId": "string", "subscriptionId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}
Get a log subscriptionProduction
Returns the log kind and the destination stream of a subscription.
Path parameters
Job ID
Service name
Subscription ID
Response
Creation date of the subscription
Log kind name of this subscription
Subscribed resource, where the logs come from
Name of the destination log service
Id of the destination log stream
Subscription ID
Last update date of the subscription
Example uses jobId = 00000000-0000-0000-0000-000000000000, serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ job/ {jobId}/ log/ subscription/ {subscriptionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "resource": { "name": "string", "type": "string" }, "serviceName": "string", "streamId": "string", "subscriptionId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}
Get a log subscriptionProduction
Returns the log kind and the destination stream of a subscription.
Path parameters
Notebook ID
Service name
Subscription ID
Response
Creation date of the subscription
Log kind name of this subscription
Subscribed resource, where the logs come from
Name of the destination log service
Id of the destination log stream
Subscription ID
Last update date of the subscription
Example uses notebookId = string, serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ notebook/ {notebookId}/ log/ subscription/ {subscriptionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "resource": { "name": "string", "type": "string" }, "serviceName": "string", "streamId": "string", "subscriptionId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}
Create a log subscriptionProduction
Forwards AI Deploy logs of one kind to a Logs Data Platform stream. The subscription is created asynchronously and the response returns the operation identifier.
Path parameters
App ID
Service name
Request body (required)
Log kind name to subscribe to
Customer log stream ID
Response
Identifier of the operation
Operation owner's service name
Example uses appId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ app/ {appId}/ log/ subscription \
-H "authorization: Bearer $OVH_TOKEN"{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}
Create a log subscriptionProduction
Forwards AI Endpoints logs of one kind to a Logs Data Platform stream. The subscription is created asynchronously and the response returns the operation identifier.
Path parameters
Model name
Service name
Request body (required)
Log kind name to subscribe to
Customer log stream ID
Response
Identifier of the operation
Operation owner's service name
Example uses modelName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ endpoint/ {modelName}/ log/ subscription \
-H "authorization: Bearer $OVH_TOKEN"{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}
Create a log subscriptionProduction
Forwards AI Training logs of one kind to a Logs Data Platform stream. The subscription is created asynchronously and the response returns the operation identifier.
Path parameters
Job ID
Service name
Request body (required)
Log kind name to subscribe to
Customer log stream ID
Response
Identifier of the operation
Operation owner's service name
Example uses jobId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ job/ {jobId}/ log/ subscription \
-H "authorization: Bearer $OVH_TOKEN"{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}
Create a log subscriptionProduction
Forwards AI Notebooks logs of one kind to a Logs Data Platform stream. The subscription is created asynchronously and the response returns the operation identifier.
Path parameters
Notebook ID
Service name
Request body (required)
Log kind name to subscribe to
Customer log stream ID
Response
Identifier of the operation
Operation owner's service name
Example uses notebookId = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ notebook/ {notebookId}/ log/ subscription \
-H "authorization: Bearer $OVH_TOKEN"{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}
Generate a temporary log URLProduction
Generates a temporary URL to read the logs of one kind. The URL expires.
Path parameters
App ID
Service name
Request body (required)
Log kind name
Response
Temporary url expiration date
Temporary url
Example uses appId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ app/ {appId}/ log/ url \
-H "authorization: Bearer $OVH_TOKEN"{ "expirationDate": "2024-01-01T12:00:00Z", "url": "string"}
Generate a temporary log URLProduction
Generates a temporary URL to read the logs of one kind. The URL expires.
Path parameters
Model name
Service name
Request body (required)
Log kind name
Response
Temporary url expiration date
Temporary url
Example uses modelName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ endpoint/ {modelName}/ log/ url \
-H "authorization: Bearer $OVH_TOKEN"{ "expirationDate": "2024-01-01T12:00:00Z", "url": "string"}
Generate a temporary log URLProduction
Generates a temporary URL to read the logs of one kind. The URL expires.
Path parameters
Job ID
Service name
Request body (required)
Log kind name
Response
Temporary url expiration date
Temporary url
Example uses jobId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ job/ {jobId}/ log/ url \
-H "authorization: Bearer $OVH_TOKEN"{ "expirationDate": "2024-01-01T12:00:00Z", "url": "string"}
Generate a temporary log URLProduction
Generates a temporary URL to read the logs of one kind. The URL expires.
Path parameters
Notebook ID
Service name
Request body (required)
Log kind name
Response
Temporary url expiration date
Temporary url
Example uses notebookId = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ notebook/ {notebookId}/ log/ url \
-H "authorization: Bearer $OVH_TOKEN"{ "expirationDate": "2024-01-01T12:00:00Z", "url": "string"}
Delete a log subscriptionProduction
Deletes the subscription and stops forwarding AI Deploy logs to the stream.
Path parameters
App ID
Service name
Subscription ID
Response
Identifier of the operation
Operation owner's service name
Example uses appId = 00000000-0000-0000-0000-000000000000, serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ app/ {appId}/ log/ subscription/ {subscriptionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}
Delete a log subscriptionProduction
Deletes the subscription and stops forwarding AI Endpoints logs to the stream.
Path parameters
Model name
Service name
Subscription ID
Response
Identifier of the operation
Operation owner's service name
Example uses modelName = string, serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ endpoint/ {modelName}/ log/ subscription/ {subscriptionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}
Delete a log subscriptionProduction
Deletes the subscription and stops forwarding AI Training logs to the stream.
Path parameters
Job ID
Service name
Subscription ID
Response
Identifier of the operation
Operation owner's service name
Example uses jobId = 00000000-0000-0000-0000-000000000000, serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ job/ {jobId}/ log/ subscription/ {subscriptionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}
Delete a log subscriptionProduction
Deletes the subscription and stops forwarding AI Notebooks logs to the stream.
Path parameters
Notebook ID
Service name
Subscription ID
Response
Identifier of the operation
Operation owner's service name
Example uses notebookId = string, serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ ai/ notebook/ {notebookId}/ log/ subscription/ {subscriptionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}